VisualEditor: [Regression wmf15] Re-use existing citation dialog never rebuilds list of references after first opening
Closed, ResolvedPublic

Description

Steps to reproduce:

1.Open a page with VE
2.Add a reference (Basic/Citation)
3.Check Re-use existing reference dialog (The reference appears in the dialog though the reference name is missing which is a different bug:https://bugzilla.wikimedia.org/show_bug.cgi?id=67342)
4.Now add some citation/basic references
5.Check re-use existing reference dialog again

Observed Result:
Except the first one , none of the newly added references are appearing in the use existing dialog


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=67342
https://bugzilla.wikimedia.org/show_bug.cgi?id=68582

bzimport set Reference to bz68869.
Ryasmeen created this task.Via LegacyJul 30 2014, 6:10 PM
Catrope added a comment.Via ConduitJul 30 2014, 7:06 PM

Could it be that the list of references in the "Use existing" panel is just never cleared?

gerritbot added a comment.Via ConduitJul 30 2014, 10:07 PM

Change 150711 had a related patch set uploaded by Alex Monk:
Don't refuse to rebuild reference list when reopening re-using existing citation widget

https://gerrit.wikimedia.org/r/150711

gerritbot added a comment.Via ConduitJul 31 2014, 12:39 AM

Change 150711 merged by jenkins-bot:
Follow-up I569098: Rebuild reference list when reopening as it can change

https://gerrit.wikimedia.org/r/150711

Ryasmeen added a comment.Via ConduitAug 4 2014, 10:41 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitAug 14 2014, 8:34 PM

Verified the fix in production

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.